#!/bin/sh
#Linux shell script to compress the source code.

#these files are unchanged
cp ../mathmlc2p.xsl .

#compact and obfuscate jquery-1.4.1.min.js
java -jar /opt/YUI/yuicompressor-2.4.2.jar ../jquery-1.4.1.min.js \
-o jquery-1.4.1.min.js 2>err

#compact and obfuscate pmathmlscript.js
java -jar /opt/YUI/yuicompressor-2.4.2.jar ../pmathmlscript.js \
-o pmathmlscript.min.js 2>err

#compact pmathmlstyle.css
java -jar /opt/YUI/yuicompressor-2.4.2.jar ../pmathmlstyle.css \
-o pmathmlstyle.min.css 2>>err

#remove xsltdoc and comments from mathml.xsl
sed -r -e 's/exclude-result-prefixes.+\"//g' ../mathml.xsl |\
sed -n -e ':a' -e '$ s/[\n\r]/ /gp;N;b a' \
> tmp 2>> err 
java -jar /usr/share/java/saxon9.jar tmp removeDoc.xsl \
>mathml.xsl 2>>err

#remove xsltdoc and comments from pmathmlcss.xsl, preserve &x****;
sed -r -e 's/&#x([0-9A-Z]+);/$$\1$$/g' \
-e 's/script\.js/script\.min\.js/g' -e 's/style\.css/style\.min\.css/g' ../pmathmlcss.xsl | \
sed -n -e ':a' -e '$ s/[\n\r]/ /gp;N;b a' \
> tmp 2>> err 
java -jar /usr/share/java/saxon9.jar tmp removeDoc.xsl 2>>err |\
sed -r -e 's/\$\$([0-9A-Z]+)\$\$/\&#x\1;/g' \
> pmathmlcss.xsl 2>>err


################## further compression #####################
#add delimiter
sed -e 's/min\.css/$$$$/g' -e 's/min\.js/$$$$/g' \
pmathmlcss.xsl > tmp 2>err
#split file
csplit -k tmp '/\$\$\$\$/' '{*}' 2>>err

#remove useless tags
sed -e '1,2 d' xx03 > xx03.new 2>>err \
&& mv xx03.new xx03

#combine xsl fragments with style and js
mv xx00 tmp
echo '<style type="text/css">/*<![CDATA[*/' >> tmp
cat pmathmlstyle.min.css >> tmp
echo '/*]]>*/</style>' >> tmp
echo '<script type="text/JavaScript">' >> tmp
echo '//<![CDATA[' >> tmp
cat jquery-1.4.1.min.js pmathmlscript.min.js >> tmp
echo '//]]>' >> tmp
cat xx03 >> tmp

mv tmp pmathmlcss.xsl
rm pmathmlstyle.min.css pmathmlscript.min.js jquery-1.4.1.min.js
rm xx*
